org.apache.felix.gogo.runtime

## Class Parser.Array

- java.lang.Object
- - org.apache.felix.gogo.runtime.Token
  - - org.apache.felix.gogo.runtime.Parser.Array

All Implemented Interfaces:
  CharSequence

Enclosing class:
  Parser

    public static class Parser.Array
    extends Token

[ a b ...] [ k1=v1 k2=v2 ...]

### Field Summary

### Fields inherited from class org.apache.felix.gogo.runtime.Token

`ch, column, length, line, start`

### Constructor Summary

Constructors
Constructor and Description
`Array(Token cs, List<Token> list, Map<Token,Token> map)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Token>` `list()`
`Map<Token,Token>` `map()`

### Methods inherited from class org.apache.felix.gogo.runtime.Token

`charAt, column, eq, length, line, start, subSequence, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints`

### Constructor Detail

#### Array

    public Array(Token cs,
                 List<Token> list,
                 Map<Token,Token> map)

### Method Detail

#### list

    public List<Token> list()

#### map

    public Map<Token,Token> map()